Opened 10 years ago

Closed 10 years ago

#24359 closed defect (fixed)

exif, libexif: livecheck reports they're up to date but they aren't

Reported by: scott@… Owned by: simon@…
Priority: Normal Milestone:
Component: ports Version: 1.8.2
Keywords: Cc: ryandesign (Ryan Schmidt)
Port: exif, libexif

Description

name                exif
version             0.6.17

$port -d livecheck exif
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/exif
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/exif
DEBUG: OS Platform: darwin
DEBUG: OS Version: 10.3.0
DEBUG: Mac OS X Version: 10.6
DEBUG: System Arch: i386
DEBUG: setting option os.universal_supported to yes
DEBUG: Going to use alternate build prefix: /Users/haneda/.macports
DEBUG: workpath = /Users/haneda/.macports/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_graphics_exif/work
DEBUG: org.macports.load registered provides 'load', a pre-existing procedure. Target override will not be provided
DEBUG: org.macports.unload registered provides 'unload', a pre-existing procedure. Target override will not be provided
DEBUG: org.macports.distfiles registered provides 'distfiles', a pre-existing procedure. Target override will not be provided
DEBUG: adding the default universal variant
DEBUG: Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/variant_descriptions.conf
DEBUG: Requested variant darwin is not provided by port exif.
DEBUG: Requested variant i386 is not provided by port exif.
DEBUG: Requested variant macosx is not provided by port exif.
DEBUG: Executing org.macports.main (exif)
DEBUG: Executing org.macports.livecheck (exif)
DEBUG: Portfile modification date is Thu Nov 13 12:24:13 PST 2008
DEBUG: Port (livecheck) version is 0.6.17
DEBUG: Loading the defaults from '/opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/livecheck/sourceforge.tcl'
DEBUG: Fetching http://sourceforge.net/export/rss2_projfiles.php?project=libexif
DEBUG: The regex is "(?i)<title>exif (.*) released.*</title>"
DEBUG: The regex matched "<title>exif 0.6.17 released (Sat, 08 Nov 2008 18:06:51 GMT)</title>", extracted "0.6.17"
DEBUG: The regex matched "<title>exif 0.6.15 released (Wed, 23 May 2007 13:51:10 GMT)</title>", extracted "0.6.15"
DEBUG: The regex matched "<title>exif 0.6.9 released (Thu, 27 May 2004 00:00:00 GMT)</title>", extracted "0.6.9"
exif seems to be up to date
name            libexif
version         0.6.17

$port -d livecheck libexif
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/libexif
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/libexif
DEBUG: OS Platform: darwin
DEBUG: OS Version: 10.3.0
DEBUG: Mac OS X Version: 10.6
DEBUG: System Arch: i386
DEBUG: setting option os.universal_supported to yes
DEBUG: Going to use alternate build prefix: /Users/haneda/.macports
DEBUG: workpath = /Users/haneda/.macports/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_graphics_libexif/work
DEBUG: org.macports.load registered provides 'load', a pre-existing procedure. Target override will not be provided
DEBUG: org.macports.unload registered provides 'unload', a pre-existing procedure. Target override will not be provided
DEBUG: org.macports.distfiles registered provides 'distfiles', a pre-existing procedure. Target override will not be provided
DEBUG: Using group file /opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/group/muniversal-1.0.tcl
DEBUG: Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/variant_descriptions.conf
DEBUG: universal variant already exists, so not adding the default one
DEBUG: Requested variant darwin is not provided by port libexif.
DEBUG: Requested variant i386 is not provided by port libexif.
DEBUG: Requested variant macosx is not provided by port libexif.
DEBUG: Executing org.macports.main (libexif)
DEBUG: Executing org.macports.livecheck (libexif)
DEBUG: Portfile modification date is Thu Apr 30 13:26:18 PDT 2009
DEBUG: Port (livecheck) version is 0.6.17
DEBUG: Loading the defaults from '/opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/livecheck/sourceforge.tcl'
DEBUG: Fetching http://sourceforge.net/export/rss2_projfiles.php?project=libexif
DEBUG: The regex is "(?i)<title>libexif (.*) released.*</title>"
DEBUG: The regex matched "<title>libexif 0.6.17 released (Sun, 09 Nov 2008 04:35:16 GMT)</title>", extracted "0.6.17"
DEBUG: The regex matched "<title>libexif 0.6.16 released (Tue, 12 Jun 2007 14:49:29 GMT)</title>", extracted "0.6.16"
DEBUG: The regex matched "<title>libexif 0.6.15 released (Wed, 23 May 2007 13:47:30 GMT)</title>", extracted "0.6.15"
DEBUG: The regex matched "<title>libexif 0.6.14 released (Thu, 10 May 2007 05:23:52 GMT)</title>", extracted "0.6.14"
libexif seems to be up to date

Visiting the respective SF pages: http://libexif.sourceforge.net/ show 0.6.19 as current, with security related patches being implemented.

Change History (4)

comment:1 Changed 10 years ago by mf2k (Frank Schima)

Keywords: libexif exif livecheck removed
Owner: changed from macports-tickets@… to simon@…
Port: exif added

comment:2 Changed 10 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added
Port: libexif added
Summary: libexif/exif 0.6.17 - report up to date with livecheck, sources are more currentexif, libexif: livecheck reports they're up to date but they aren't

exif and libexif livecheck fixed in r68930.

comment:3 Changed 10 years ago by ryandesign (Ryan Schmidt)

Tweaked the livecheck a little in r68931.

comment:4 Changed 10 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

Updated both ports to 0.6.19 in r68932.

Note: See TracTickets for help on using tickets.